<?php
/**
* +----------------------------------------------------------------------+
* | F Board                                                              |
* +----------------------------------------------------------------------+
* | Copyright (c) 2003 Fguy (http://fguy.com)                            |
* +----------------------------------------------------------------------+
* | This software licensed under the GPL license and is provided "as is" |
* | and is without any warranty.                                         |
* |                                                                      |
* | You need to purchase commercial licenses:                            |
* |                                                                      |
* | 1. If you distribute this Software with your non open source         |
* |    software.                                                         |
* | 2. If you want warranty for this software.                           |
* | 3. If you want to support development.                               |
* |                                                                      |
* | Licenses, Support and Training can be easily purchased online.       |
* +----------------------------------------------------------------------+
* | Author: Kang Tae Hoon <fguy@fguy.com>                                |
* +----------------------------------------------------------------------+
*
*   index 
*
* @author fguy <fguy@fguy.com>
* @version 0.5
* @access public
* @package FBoard
*/


	define(INCLUDED, 1);

	require_once "lib/Common.php";
	require_once "lib/Session.php";
	require_once "lib/SQL.php";
	require_once "lib/Email.php";
	require_once "lib/Parts.php";
	require_once "lib/Template.php";
	
	
	if(!$settings->admin)
		redirect("setup.php");

	$sql = new SQL($settings);
	$session = new Session($settings);
	$parts = new Parts($settings);

	$module = $_GET[module];
	$href = $_GET[href];
	
	if(!$href)
		$href = $_POST[href];

	// ̼   Referer  
	if(!$href)
		$href = $_SERVER[HTTP_REFERER];

	$has_session = $session->hasSession();

	if(!$has_session)
		redirect("session.php?href=admin.php");

	// ڸ  
	if(!$session->isAdmin())
		alert($settings->messages[admin_only]);

	// DB 
	$connection = $sql->db->connect($sql->dsn);

	if(DB::isError($connection))
		alert($connection->getMessage());

	$tpl = new Template($settings->skin_path . "_admin");

	$tpl->loadTemplatefile("header.html",true, true);

	$tpl->setVariable("PREFIX",$settings->prefix);

	$tpl->setVariable("ENCODING", $settings->encoding);

	$tpl->setVariable("SELECTED",$_GET[selected]);

	// ޼ ȯ
	foreach($settings->messages as $key => $val)
	{
		$tpl->setVariable("MSG_" . strtoupper($key), $val);
	}


	// 

	$header = $tpl->get();




	// Ǫ

	$tpl = new Template($settings->skin_path . "_admin");

	$tpl->loadTemplatefile("footer.html",true, true);

	// ޼ ȯ
	foreach($settings->messages as $key => $val)
	{
		$tpl->setVariable("MSG_" . strtoupper($key), $val);
	}


	// ũƮ  ð
	$tpl->setVariable("EXECUTE_TIME",get_exec_time());

	$footer = $tpl->get();


	if(!$module)
	{
		$module = "info";
	}

	header("Expires: 0");
	include "admin/" . $module . ".php";

	// DB  
	$connection->disconnect();
?>