<?php
/**
* +----------------------------------------------------------------------+
* | F Board                                                              |
* +----------------------------------------------------------------------+
* | Copyright (c) 2003 Fguy (http://fguy.com)                            |
* +----------------------------------------------------------------------+
* | This software licensed under the GPL license and is provided "as is" |
* | and is without any warranty.                                         |
* |                                                                      |
* | You need to purchase commercial licenses:                            |
* |                                                                      |
* | 1. If you distribute this Software with your non open source         |
* |    software.                                                         |
* | 2. If you want warranty for this software.                           |
* | 3. If you want to support development.                               |
* |                                                                      |
* | Licenses, Support and Training can be easily purchased online.       |
* +----------------------------------------------------------------------+
* | Author: Kang Tae Hoon <fguy@fguy.com>                                |
* +----------------------------------------------------------------------+
*
* ׷ 
*
* @author fguy <fguy@fguy.com>
* @version 0.5
* @access public
* @package FBoard
*/
	require_once "lib/Schema.php";

	$schema = new Schema($settings, $sql);

	switch($_GET[mode])
	{
		// ׷ 
		case "create" :

			$group_id = $schema->createGroup($connection);

			if(!$group_id)
				alert($settings->messages[failed_to_create]);
			else
				echo "group " . $group_id . " created";
				echo "<script>parent.treeReload('g" . $group_id . "')</script>";

/*			if($schema->createGroup($connection, $_POST[parent], $_POST[name], $_POST[access_level]))
			{
				alert($settings->messages[created], $_POST[href]);
			}
*/
			break;
		
		// ׷ 
		case "delete" :

			$board_exists = $connection->getOne("select count(1) from " . $settings->prefix . "_board_config where gid = " . $_GET[id]);

			if(DB::isError($board_exists) || $board_exists > 0)
				alert($settings->messages[failed_to_delete_group]);
			else
			{
				if(!$schema->deleteGroup($connection,$_GET[id]))
					alert($settings->messages[failed_to_delete_group]);
				else
					alert($settings->messages[deleted], "admin.php");
			}

			break;

		// ׷   
		case "update" :

			if(ereg("\|" , $_POST[name]))
				alert($settings->messages[name] . $settings->messages[is_containing_invalid_string]);

			$values = array("parent" => $_POST[parent], "name" => trim($_POST[name]), "access_level" => $_POST[access_level], "denied_ip" => trim($_POST[denied_ip]),  "allow_ip" => trim($_POST[allow_ip]));

			$result = $connection->autoExecute($settings->prefix . "_group", $values, DB_AUTOQUERY_UPDATE, "gid=" . $_POST[id]);

			if(DB::isError($result))
				alert($settings->messages[failed_to_update] . " " . $result->getMessage() . " on " . __FILE__ . " line " . __LINE__ ,"javascript:void(0)");

			echo "<meta http-equiv=\"Content-Type\" content=\"text/html; charset=" . $settings->encoding . "\"><script>alert('" . $settings->messages[updated] . "');parent.document.all.dynamicData.src = 'js/tree.php?selected=g" . $_POST[id] . "';</script>";
			
			break;


		// ׷   
		case "edit" : 

			$tpl = new Template($settings->skin_path . "_admin");

			$tpl->loadTemplatefile("group.html",true, true);

			$tpl->setVariable("HEADER", $header);

			$tpl->setVariable("FOOTER", $footer);

			$result = $connection->query("select * from " . $settings->prefix . "_group where gid=" . $_GET[id]);

			if(DB::isError($result))
			{
				alert($result->getMessage() . " on " . __FILE__ . " line " . __LINE__);
			}

			if($result->numRows() < 1)
				alert($settings->messages[not_exists]);

			$row = $result->fetchRow(DB_FETCHMODE_ASSOC);

			unset($result);

			$tpl->setVariable("ID", $_GET[id]);

			$tpl->setVariable("NAME", $row[name]);

			$tpl->setVariable("ACCESS_LEVEL", $row[access_level]);

			$tpl->setVariable("DENIED_IP", $row[denied_ip]);

			$tpl->setVariable("ALLOW_IP", $row[allow_ip]);

			// ޼ ȯ
			foreach($settings->messages as $key => $val)
			{
				$tpl->setVariable("MSG_" . strtoupper($key), $val);
			}

			$tpl->show();

			break;

		// ׷    ( )
		default :

			$tpl = new Template($settings->skin_path . "_admin");

			$tpl->loadTemplatefile("create_group.html",true, true);

			if($_GET[parent])
				$parent = $_GET[parent];
			else
				$parent = "1";

			$tpl->setVariable("PARENT", $parent);

			// ޼ ȯ
			foreach($settings->messages as $key => $val)
			{
				$tpl->setVariable("MSG_" . strtoupper($key), $val);
			}

			$tpl->show();

	}
?>