<?php
/**
* +----------------------------------------------------------------------+
* | F Board                                                              |
* +----------------------------------------------------------------------+
* | Copyright (c) 2003 Fguy (http://fguy.com)                            |
* +----------------------------------------------------------------------+
* | This software licensed under the GPL license and is provided "as is" |
* | and is without any warranty.                                         |
* |                                                                      |
* | You need to purchase commercial licenses:                            |
* |                                                                      |
* | 1. If you distribute this Software with your non open source         |
* |    software.                                                         |
* | 2. If you want warranty for this software.                           |
* | 3. If you want to support development.                               |
* |                                                                      |
* | Licenses, Support and Training can be easily purchased online.       |
* +----------------------------------------------------------------------+
* | Author: Kang Tae Hoon <fguy@fguy.com>                                |
* +----------------------------------------------------------------------+
*
* Խù  ҷ
*
* @author fguy <fguy@fguy.com>
* @version 0.5
* @access public
* @package FBoard
*/

	$path = realpath(__FILE__);

	if($path)
	{
		$path = str_replace("document.php","",$path);
	}

	require_once $path."lib/Common.php";
	require_once "lib/String.php";
	require_once "lib/SQL.php";
	require_once "lib/Template.php";

	//   
	require_once "constants.php";

	$sql = new SQL($settings);

	// DB 
	$connection = $sql->db->connect($sql->dsn);

	// ASSOC  Fetch mode 
	$connection->setFetchMode(DB_FETCHMODE_ASSOC);

	if(DB::isError($connection))
		alert($connection->getMessage() . " on " . __FILE__ . " line " . __LINE__);

	$query = "select config.skin, config.use_body_in_list from " . $settings->prefix . "_board_config as config";
	$query .= " where config.id=" . $_GET[id];

	$config = $connection->getRow($query);

	// Ų 
	$skin_path = $settings->skin_path . $config[skin] . "/";

	// Ų  ҷ
	if(file_exists($skin_path . "skin.ini"))
	{
		$config_skin = parse_ini_file($skin_path . "skin.ini");

		$config = array_merge($config, $config_skin);

		unset($config_skin);
	}

	$tpl = new Template($skin_path);

	$tpl->loadTemplatefile("document.html",true, true);

	if($_GET[id] && $_GET[num])
	{
		// ڵ Select 
		$query = "select board.body, board.html, board.reg_date, board.name, member.name as member_name from " . $settings->prefix . "_" . $_GET[id] ."_board as board left outer join " . $settings->prefix . "_member as member on board.email = member.email where board.num = " . $_GET[num];

		$row = $connection->getRow($query);


		if($row[html] == 0)
			$row[body] = nl2br($row[body]);

		$row[body] = str_replace("  ","&nbsp;&nbsp;",$row[body]);
		$row[body] = str_replace("\t","&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;",$row[body]);			
		$row[body] = stripslashes($row[body]);

		if($_GET[mode] == "reply")
		{
			// Ʈ      ۼ  ο 
			if($config[use_body_in_list] == "y")
				$row[body] = "";
			else
			{
				$row[body] = str_replace("\n","\n> ",stripslashes($row[body]));
				if(!$row[name])
					$row[name] = $row[member_name];
				$row[body] = "<br /><br /><p>".$row[name]." wrote at ". date("Y/m/d A g:i", $row[reg_date]) . "<br />> ". $row[body] . "</p>";
			}
		}

		$tpl->setVariable("BODY", $row[body]);
	}

	$tpl->setVariable("ENCODING",$settings->encoding);

	$tpl->show();
?>