<?php
/**
* +----------------------------------------------------------------------+
* | F Board                                                              |
* +----------------------------------------------------------------------+
* | Copyright (c) 2003 Fguy (http://fguy.com)                            |
* +----------------------------------------------------------------------+
* | This software licensed under the GPL license and is provided "as is" |
* | and is without any warranty.                                         |
* |                                                                      |
* | You need to purchase commercial licenses:                            |
* |                                                                      |
* | 1. If you distribute this Software with your non open source         |
* |    software.                                                         |
* | 2. If you want warranty for this software.                           |
* | 3. If you want to support development.                               |
* |                                                                      |
* | Licenses, Support and Training can be easily purchased online.       |
* +----------------------------------------------------------------------+
* | Author: Kang Tae Hoon <fguy@fguy.com>                                |
* +----------------------------------------------------------------------+
*
*   Tree 
*
* @author fguy <fguy@fguy.com>
* @version 0.5
* @access public
* @package FBoard
*/
	require_once "../lib/Common.php";
	require_once "lib/SQL.php";
	require_once "lib/String.php";
	require_once "lib/Template.php";
	
	$sql = new SQL($settings);

	// DB 
	$connection = $sql->db->connect($sql->dsn);

	if(DB::isError($connection))
		alert($connection->getMessage());

	$tpl = new Template($settings->skin_path . "_admin");

	$tpl->loadTemplatefile("tree.js",true, true);

	$root_label = $connection->getOne("select name from " . $settings->prefix . "_group where gid = 1");

	$tpl->setVariable("ROOT_LABEL", $root_label);

	$result = $connection->query("select gid, name from " . $settings->prefix . "_group where gid > 1 and parent = 1 order by name");


	while($row = $result->fetchRow())
	{
		$tpl->setCurrentBlock("group");
		$tpl->setVariable("GROUP_ID", $row[0]);
		$tpl->setVariable("GROUP_NAME", String::cutString($row[1],20));
		$tpl->parseCurrentBlock("group");

		$result2 = $connection->query("select id, name from " . $settings->prefix . "_board_config where gid = " . $row[0] . " order by name");
		while($row2 = $result2->fetchRow())
		{
			$tpl->setCurrentBlock("board");
			$tpl->setVariable("GROUP_ID", String::cutString($row[0],20));
			$tpl->setVariable("BOARD_ID", $row2[0]);
			$tpl->setVariable("BOARD_NAME", String::cutString($row2[1],20));
			$tpl->parseCurrentBlock("board");
		}
	}

	if($_GET[selected])
	{
		$tpl->setCurrentBlock("select");
		$tpl->setVariable("SELECTED", $_GET[selected]);
		$tpl->parseCurrentBlock("select");
	}

	$tpl->show();
?>