<?php
/**
* +----------------------------------------------------------------------+
* | F Board                                                              |
* +----------------------------------------------------------------------+
* | Copyright (c) 2003 Fguy (http://fguy.com)                            |
* +----------------------------------------------------------------------+
* | This software licensed under the GPL license and is provided "as is" |
* | and is without any warranty.                                         |
* |                                                                      |
* | You need to purchase commercial licenses:                            |
* |                                                                      |
* | 1. If you distribute this Software with your non open source         |
* |    software.                                                         |
* | 2. If you want warranty for this software.                           |
* | 3. If you want to support development.                               |
* |                                                                      |
* | Licenses, Support and Training can be easily purchased online.       |
* +----------------------------------------------------------------------+
* | Author: Kang Tae Hoon <fguy@fguy.com>                                |
* +----------------------------------------------------------------------+
*
* Ʈ޴ UI  ( .. -_-)
*
* @author fguy <fguy@fguy.com>
* @version 0.5
* @access public
* @package FBoard
*/

class TreeMenu
{
	var $js_file = "js/tree.js";
	var $open	 = array();

    /**
     * 
     * 
     * @access public
     */

	function TreeMenu($label = "root", $data = "root", $folder_link = "", $folder_link_tail = "")
	{
		$script =  '<script type="text/javascript" src="'. $this->js_file . '"></script>';
		$script .= '<script type="text/javascript">';
		$script .= '	root = gNode("' . $label . '","' . $data . '");';
		$script .= '	var selectedGroup = "top";';
		$script .= '	var gLink = "' . $folder_link . '";';
		$script .= '	var gLinkTail = "' . $folder_link_tail . '";';
		$script .= '	function setGroup(group)';
		$script .= '	{';
		$script .= '		selectedGroup = group;';
		$script .= '		if(document.all.viewSelectedGroup)';
		$script .= '			document.all.viewSelectedGroup.innerText = group;';
		$script .= '	}';
		$script .= '	function setParent()';
		$script .= '	{';
		$script .= '		document.forms[0].parent_group.value = selectedGroup;';
		$script .= '		document.forms[1].gid.value = selectedGroup;';
		$script .= '	}';
		$script .= '</script>';

?>
		<style type=text/css>
a {
	font-color: black;
	text-decoration: none;
	cursor: default;
}

a:link {color:black;text-decoration:none;cursor: default;}
a:visited {color:black;text-decoration:none;}
a:active { background-color:navy; color:white;}
a:hover {text-decoration:none;}
		</style>
<?
		echo $script;
	}

	function insertFolder($parent_id = "root", $id, $label, $data)
	{
		$script  = '<script type="text/javascript">';
		$script .= $id . ' = insNode(' . $parent_id . ', gNode("' . $label . '", "' . $data . '"))';
		$script .= '</script>';

		echo $script;
	}

	function insertItem($parent_id = "root" , $label, $link)
	{
		$script  = '<script type="text/javascript">';
		$script .= 'insFolder(' . $parent_id . ', gFolder("0","' . $label . '","' . $link . '"))';	
		$script .= '</script>';

		echo $script;
	}
	
	function dump()
	{
		$script  = '<script type="text/javascript">';
		$script .= 'initializeDocument()';	
		$script .= '</script>';

		echo $script;

		foreach($this->open as $open)
			echo $open;
	}

	function open($id)
	{
		$script  = '<script type="text/javascript">';
		$script .= 'openFolder(' . $id . ')';	
		$script .= '</script>';

		$this->open[] = $script;
	}

}