<?php
/**
* +----------------------------------------------------------------------+
* | F Board                                                              |
* +----------------------------------------------------------------------+
* | Copyright (c) 2003 Fguy (http://fguy.com)                            |
* +----------------------------------------------------------------------+
* | This software licensed under the GPL license and is provided "as is" |
* | and is without any warranty.                                         |
* |                                                                      |
* | You need to purchase commercial licenses:                            |
* |                                                                      |
* | 1. If you distribute this Software with your non open source         |
* |    software.                                                         |
* | 2. If you want warranty for this software.                           |
* | 3. If you want to support development.                               |
* |                                                                      |
* | Licenses, Support and Training can be easily purchased online.       |
* +----------------------------------------------------------------------+
* | Author: Kang Tae Hoon <fguy@fguy.com>                                |
* +----------------------------------------------------------------------+
*
*   ȸ
*
* @author fguy <fguy@fguy.com>
* @version 0.5
* @access public
* @package FBoard
*/

	//       
	$query = "select *, member.email as email from " . $settings->prefix . "_member as member ";
	$query .= "left outer join " . $settings->prefix . "_member_ext as ext on member.email = ext.email ";
	$query .= " where member.email = '" . $_GET[email] . "'";

	$member_info = $connection->getRow($query);

	if(DB::isError($member_info))
		alert($settings->messages[invalid_member] . " : " . $member_info->getMessage() . " on " . __FILE__ . " line " . __LINE__);

	$member_point = $connection->getOne("select (login + post + comment + recommend) - opposite from " . $settings->prefix . "_point where email='" . $_GET[email] ."'");

	if(DB::isError($member_info))
		alert($settings->messages[invalid_member] . " : " . $member_info->getMessage() . " on " . __FILE__ . " line " . __LINE__);

	$member_point = intval($member_point);

	$member_info[point] = $member_point;


	$tpl = new Template($settings->skin_path . "_system");

	$tpl->loadTemplatefile("member_info.html");


	if($my_grant >= USER_SYSOP)
		$member_info[is_private] = false;

	if($member_info[is_private])
		$private_fields = array("birth_date", "homepage", "gender", "photo", "phone");
	else
		$tpl->touchBlock("private");


	$private_fields[] = "password";

	if($member_info[gender] == "m")
		$member_info[gender] = $settings->messages[male];
	else if($member_info[gender] == "f")
		$member_info[gender] = $settings->messages[female];
	else
		$member_info[gender] = $settings->messages[unknown];

	$member_info[joining_date] = date("Y-m-d", $member_info[joining_date]);


	$member_info[name_only] = $member_info[name];
	$member_info[name] = String::emailLink($member_info[name],$member_info[email]);
	$member_info[introduce] = nl2br(strip_tags($member_info[introduce]));

	if($member_info[photo])
	{
		$imginfo = @getimagesize($settings->uploaded_file_path . "_photo/" . $member_info[photo]);

		if($imginfo[0] > NORMAL_IMG_WIDTH)
		{
			$imgwidth = NORMAL_IMG_WIDTH;
			$imgheight = $imginfo[1] * (NORMAL_IMG_WIDTH / $imginfo[0]);

			$size = "width=".$imgwidth." height=".$imgheight." onclick=\"window.open('" . LINK_PATH . "view_image.php?imgsrc=" . urlencode(FILE_PATH . "_photos/" . $member_info[photo]) . "','_blank','width=100,height=100,scrollbars=yes');\" style=cursor:hand";
		}
		else
			$size = $imginfo[3];

		$member_info[photo] = "<img src='" . FILE_PATH . "_photos/" . $member_info[photo] . "' border=0 " . $size . ">";

		$member_info[photo_file] = FILE_PATH . "_photos/" . $member_info[photo];
	}


	//  ġȯ
	foreach($member_info as $key => $val)
	{
		if(!$member_info[is_private] || ($member_info[is_private] && !in_array(strtolower($key), $private_fields)))
			$tpl->setVariable(strtoupper($key), $val);
	}

	$tpl->setVariable("ENCODING", $settings->encoding);

	// ޼ ȯ
	foreach($settings->messages as $key => $val)
	{
		if(!$member_info[is_private] || ($member_info[is_private] && !in_array(strtolower($key), $private_fields)))
			$tpl->setVariable("MSG_" . strtoupper($key), $val);
	}
	echo "<script type=\"text/javascript\" src=\"" . JS_PATH . "/lib.php?id=" . $_GET[id] . "\"></script>";
	$tpl->show();
?>