<?php
/**
* +----------------------------------------------------------------------+
* | F Board                                                              |
* +----------------------------------------------------------------------+
* | Copyright (c) 2003 Fguy (http://fguy.com)                            |
* +----------------------------------------------------------------------+
* | This software licensed under the GPL license and is provided "as is" |
* | and is without any warranty.                                         |
* |                                                                      |
* | You need to purchase commercial licenses:                            |
* |                                                                      |
* | 1. If you distribute this Software with your non open source         |
* |    software.                                                         |
* | 2. If you want warranty for this software.                           |
* | 3. If you want to support development.                               |
* |                                                                      |
* | Licenses, Support and Training can be easily purchased online.       |
* +----------------------------------------------------------------------+
* | Author: Kang Tae Hoon <fguy@fguy.com>                                |
* +----------------------------------------------------------------------+
*
* н ã
*
* @author fguy <fguy@fguy.com>
* @version 0.5
* @access public
* @package FBoard
*/
	require_once "lib/Common.php";
	require_once "lib/String.php";
	require_once "lib/Session.php";
	require_once "lib/SQL.php";
	require_once "lib/Email.php";
	require_once "lib/Template.php";

	require_once "constants.php";
	
	$sql = new SQL($settings);
	$session = new Session($settings);

	$mode = $_GET[mode];
	$href = $_GET[href];

	// DB 
	$connection = $sql->db->connect($sql->dsn);

	if(DB::isError($connection))
		alert($connection->getMessage());

	$has_session = $session->hasSession();

	if($has_session)
		alert($settings->messages[already_login]);

	switch($mode)
	{
		case "find" :

			$email = trim($_POST[email]);

			$result = $connection->query("select md5(md5(email)),password,email,name from " . $settings->prefix . "_member where email='" . $email . "'");

			$row = $result->fetchRow();

			if(DB::isError($result))
				alert($result->getMessage());

			if($result->numRows() < 1)
				alert($settings->messages[not_joinned]);
			else
			{
				// ڿ  ߼
				$mail = new Email($settings);

				$url = "http://".$_SERVER[HTTP_HOST].$_SERVER[SCRIPT_NAME]."?mode=new_password&member=".$row[0]."&fpid=".$row[1];

				//  
				$tpl = new Template($settings->skin_path . "_system");

				$tpl->loadTemplatefile("mail_password_find.html",true, true);

				$tpl->setVariable("URL", $url);

				$mail->subject = $row[2] . $settings->messages[s_new_password];

				$mail->body = $tpl->get();

				$mail->receiver_name = $email;
				$mail->receiver_email = $email;
				$mail->sender_name = $settings->admin;
				$mail->sender_email = $settings->admin;
				$mail->reply_to = $settings->admin;
				$mail->content_type = "text/html";
				$mail->charset	= $settings->encoding;
				$mail->send();

				alert($settings->messages[send_mail_succeed], stripslashes($_GET[href]));
			}

			break;

		case "new_password" :

			$result = $connection->getOne("select id from " . $settings->prefix . "_member where password='" . $_GET[fpid] . "' and md5(md5(email))='" . $_GET[member] . "'");

			if(DB::isError($result))
				alert($result->getMessage());

			if($result)
			{
				$tpl = new Template($settings->skin_path . "_system");

				$tpl->loadTemplatefile("password_new.html",true, true);

				$tpl->setVariable("ACTION", LINK_PATH . "password.php?mode=new_password_confirm&member=" . $_GET[member] . "&fpid=" . $_GET[fpid]);

				// ޼ ȯ
				foreach($settings->messages as $key => $val)
				{
					$tpl->setVariable("MSG_" . strtoupper($key), $val);
				}				

				$tpl->show();
			}
			else
				alert($settings->messages[invalid_access]);

			break;

		case "new_password_confirm" :


			if(strcmp($_POST[password],$_POST[password_confirm]))
				alert($settings->messages[not_match_password]);

			else if(!trim($_POST[password]) || !trim($_POST[password_confirm]))
				alert($settings->messages[need_password]);

			$result = $connection->getOne("select email from " . $settings->prefix . "_member where password='" . $_GET[fpid] . "' and md5(md5(email))='" . $_GET[member] . "'");

			if(DB::isError($result))
				alert($result->getMessage());

			if($result)
			{
				$values[password] = md5($_POST[password]);
				$where = "email = '" . $result . "'";

				$result = $connection->autoExecute($settings->prefix . "_member", $values, DB_AUTOQUERY_UPDATE, $where);

				if(DB::isError($result))
					alert($result->getMessage());

				alert($settings->messages[password_created],"javascript:window.close()");
			}
			else
				alert($settings->messages[invalid_access]);
			
			break;

		default :

			header("Expires: 0");

			$tpl = new Template($settings->skin_path . "_system");

			$tpl->loadTemplatefile("password_lost.html",true, true);

			// ޼ ȯ
			foreach($settings->messages as $key => $val)
			{
				$tpl->setVariable("MSG_" . strtoupper($key), $val);
			}

			$tpl->setVariable("ENCODING", $settings->encoding);
			$tpl->setVariable("ACTION", LINK_PATH . "password.php?mode=find&href=" . urlencode($href));

			$tpl->show();
	}

	// DB  
	$connection->disconnect();
?>