<?php
/**
* +----------------------------------------------------------------------+
* | F Board                                                              |
* +----------------------------------------------------------------------+
* | Copyright (c) 2003 Fguy (http://fguy.com)                            |
* +----------------------------------------------------------------------+
* | This software licensed under the GPL license and is provided "as is" |
* | and is without any warranty.                                         |
* |                                                                      |
* | You need to purchase commercial licenses:                            |
* |                                                                      |
* | 1. If you distribute this Software with your non open source         |
* |    software.                                                         |
* | 2. If you want warranty for this software.                           |
* | 3. If you want to support development.                               |
* |                                                                      |
* | Licenses, Support and Training can be easily purchased online.       |
* +----------------------------------------------------------------------+
* | Author: Kang Tae Hoon <fguy@fguy.com>                                |
* +----------------------------------------------------------------------+
*
*  ˻, 
*
* @author fguy <fguy@fguy.com>
* @version 0.5
* @access public
* @package FBoard
*/

	define(LIST_PER_PAGE, 20);

	require_once "constants.php";

	require_once "lib/Email.php";

	switch($_GET[mode])
	{
		//   (׷)
		case "delete" :

			if(!$_GET[group] || !$_GET[email])
				alert($settings->messages[invalid_access]);

			$result = $connection->query("delete from " . $settings->prefix . "_group_members where gid = " . $_GET[group] . " and email = '" . $_GET[email] . "'");

			if(DB::isError($result))
				alert($result->getMessage() . " on " . __FILE__ . " line " . __LINE__);

			alert($settings->messages[deleted], $_GET[href]);

			break;

		// ̿
		case "stop" :

			if(!$_GET[email])
				alert($settings->messages[invalid_access]);

			$result = $connection->query("update " . $settings->prefix . "_member set status = '1' where email = '" . $_GET[email] . "'");

			if(DB::isError($result))
				alert($result->getMessage() . " on " . __FILE__ . " line " . __LINE__);

			alert($settings->messages[updated], $_GET[href]);


			break;

		// ̿ 
		case "cancel_stop" :

			if(!$_GET[email])
				alert($settings->messages[invalid_access]);

			$result = $connection->query("update " . $settings->prefix . "_member set status = '0' where email = '" . $_GET[email] . "'");

			if(DB::isError($result))
				alert($result->getMessage() . " on " . __FILE__ . " line " . __LINE__);

			alert($settings->messages[updated], stripslashes($_GET[href]));


			break;

		//  öȸ
		case "cancel_auth" :

			break;

		// ȸ
		default :

			$action = "admin.php?module=member&group=" . $_GET[group] . "&authorized=" . $_GET[authorized];

			$title = $settings->messages[all_user] . " " . $settings->messages[search];

			$result = $connection->limitQuery("select id from " . $settings->prefix . "_board_config", 0 , 1);

			$row = $result->fetchRow(DB_FETCHMODE_OREDERED);

			$tmp_board_id = $row[0];


			//  ó
			if($_GET[group] && !$_GET[authorized] && $_GET[email])
			{
				$result = $connection->query("update " . $settings->prefix . "_group_members set authorized = '1' where gid = " . $_GET[group] . " and email = '" . $_GET[email] . "'");

				if(DB::isError($result))
					alert($result->getMessage() . " on " . __FILE__ . " line " . __LINE__);

				//  Ȯ  ߼
				$admin_email = $settings->admin;

				$email = new Email($settings);

				$email->subject = $settings->messages[auth_require];

				$tpl = new Template($settings->skin_path . "_system");

				$tpl->loadTemplatefile("mail_authorized.html",true, true);

//				$tpl->setVariable("URL", "

				$email->body = $tpl->get();
				$email->receiver = $admin_email;
				$email->sender = $row[email];
				$email->sender_name = $row[name];

			}


			//  
			if(($_POST || $_GET[group]))
			{
				$post = $_POST;

				$where = array();

				if($_GET[group] && isset($_GET[authorized]))
				{
					$where[] = "(grp.gid = " . $_GET["group"] . " and grp.authorized = " . $_GET["authorized"] . ")";

					if($_GET[authorized] == 1)
						$title = $settings->messages[authorized_member] . " " . $settings->messages["list"];
					else
						$title = $settings->messages[authorize_request_member] . " " . $settings->messages["list"];
				}
				if($_POST[name])
					$where[] = "member.name like '%" . $_POST[name] . "%'";
				if($_POST[email])
					$where[] = "member.email like '%" . $_POST[email] . "%'";
				if($_POST[joining_date])
					$where[] = "(member.joining_date = '" . strtotime($_POST[joining_date]) . "' or member.withdrawal_date = '" . strtotime($_POST[joining_date]) . "')";
				if($_POST[point])
					$where[] = "((point.login + point.post + point.comment + point.recommend) - point.opposite) >= " . $_POST[point];

				if($_POST[status])
					$where[] = "member.status = '" . $_POST[status] . "'";
				if($_POST[gender])
					$where[] = "member_ext.gender = '" . $_POST[gender] . "'";
				if($_POST[phone])
					$where[] = "member_ext.phone like '%" . $_POST[phone] . "%'";
				if($_POST[subscribe_mailling])
					$where[] = "member_ext.subscribe_mailling = 1";
				if($_POST[birth_date])
					$where[] = "member_ext.birth_date like '%" . $_POST[birth_date] . "%'";

				$where = @implode(" and ", $where);
			}

			// ̹   
			else
			{
				$where = stripslashes($_GET[where]);
				$post = unserialize($_GET[post]);
			}


			$tpl = new Template($settings->skin_path . "_admin");

			$tpl->loadTemplatefile("member.html",true, true);


			$selectable_keys = array("inquiry", "no_result", "total", "page", "auth", "confirm_auth", "remove", "confirm_remove");

			if($where)
			{

				$action .= "&where=" . urlencode($where);
			}

			// order by  
			if($_GET[orderby])
				$orderby = $_GET[orderby];
			else
				$orderby = "member.joining_date";

			if($_GET[group])
			{
				$query_status = " from " . $settings->prefix . "_group_members as grp ";
				$query_status .= " left outer join " . $settings->prefix . "_member_ext as member_ext on grp.email = member_ext.email ";
				$query_status .= " left outer join " . $settings->prefix . "_point as point on grp.email = point.email ";
				$query_status .= " left outer join " . $settings->prefix . "_member as member on grp.email = member.email ";
			}
			else
			{
				$query_status = " from " . $settings->prefix . "_member as member ";
				$query_status .= " left outer join " . $settings->prefix . "_member_ext as member_ext on member.email = member_ext.email ";
				$query_status .= " left outer join " . $settings->prefix . "_point as point on member.email = point.email ";

				if(strstr($where, "grp"))
					$query_status .= " left outer join " . $settings->prefix . "_group_members as grp on member.email = grp.email ";
			}

			$query_status .= " where member.email != '" . $settings->admin ."'";

			if($where)
				$query_status .=  " and (" . $where . ")";

			$query = "select member.*, member_ext.*, member.email as email, ((point.login + point.post + point.comment + point.recommend) - point.opposite) as point " . $query_status . " order by " . $orderby;

			// ü 
			$total = $connection->getOne("select count(1) " . $query_status);

			if(DB::isError($total))
				alert($total->getMessage() . " on " . __FILE__ . " line " . __LINE__);


			if($_GET[page])
				$page = $_GET[page];
			else if($_POST[page])
				$page = $_POST[page];
			else
				$page = 1;

			$result = $connection->limitQuery($query, ($page - 1) * LIST_PER_PAGE, LIST_PER_PAGE);

			if(DB::isError($result))
			{
				alert($result->getMessage() . " on " . __FILE__ . " line " . __LINE__);
			}

			if($result->numRows() > 0)
			{
				$tpl->touchBlock("result");

				while($row = $result->fetchRow(DB_FETCHMODE_ASSOC))
				{
					if(!$fields)
						$fields = array_keys($row);

					if($row[gender] == "m")
						$row[gender] = $settings->messages[male];
					else if($row[gender] == "f")
						$row[gender] = $settings->messages[female];
					else
						$row[gender] = $settings->messages[unknown];

					if($row[subscribe_mailling])
						$row[subscribe_mailling] = $settings->messages[subscribe];

					$tpl->setCurrentBlock("record");

					foreach($row as $key => $value)
					{
						$tpl->setVariable(strtoupper($key), $value);
					}

					$tpl->setVariable("MSG_INQUIRY", $settings->messages[inquiry]);

					if($_GET[group] && isset($_GET[authorized]) && $_GET[authorized] == 0)
					{
						$tpl->setVariable("MSG_AUTH", $settings->messages[auth]);
						$tpl->setVariable("MSG_CONFIRM_AUTH", $settings->messages[confirm_auth]);
						$tpl->setVariable("AUTH_LINK", LINK_PATH . "admin.php?group=" . $_GET[group] . "&authorized=" . $_GET[authorized] . "&module=member&post=" . urlencode(serialize($post)) . "&where=" . urlencode($where). "&orderby=" . $orderby . "&email=" . $row[email]);
					}

					if($_GET[group])
					{
						$tpl->setVariable("MSG_REMOVE", $settings->messages["delete"]);
						$tpl->setVariable("MSG_CONFIRM_REMOVE", $settings->messages[confirm_delete]);
						$tpl->setVariable("REMOVE_LINK", LINK_PATH . "admin.php?module=member&mode=delete&group=" . $_GET[group] . "&email=" . $row[email] . "&href=" . urlencode(LINK_PATH . "admin.php?" . $_SERVER[QUERY_STRING]));
					}
					else if($row[status] == 1)
					{
						$tpl->setVariable("MSG_REMOVE", $settings->messages[cancel_stop]);
						$tpl->setVariable("MSG_CONFIRM_REMOVE", $settings->messages[confirm_cancel_stop]);
						$tpl->setVariable("REMOVE_LINK", LINK_PATH . "admin.php?module=member&mode=cancel_stop&email=" . $row[email] . "&href=" . urlencode(LINK_PATH . "admin.php?" . $_SERVER[QUERY_STRING]));
					}
					else
					{
						$tpl->setVariable("MSG_REMOVE", $settings->messages[stop]);
						$tpl->setVariable("MSG_CONFIRM_REMOVE", $settings->messages[confirm_stop]);
						$tpl->setVariable("REMOVE_LINK", LINK_PATH . "admin.php?module=member&mode=stop&email=" . $row[email] . "&href=" . urlencode(LINK_PATH . "admin.php?" . $_SERVER[QUERY_STRING]));
					}

					$tpl->parseCurrentBlock("record");
				}

				$pages = ceil($total / LIST_PER_PAGE);


				$page_list = $parts->getPages($page, $total, LIST_PER_PAGE, LIST_PER_PAGE, "admin.php?group=" . $_GET[group] . "&authorized=" . $_GET[authorized] . "&module=member&post=" . urlencode(serialize($post)) . "&where=" . urlencode($where). "&orderby=" . $orderby);

				$tpl->setVariable("ORDERBY_NAME_LINK", "admin.php?group=" . $_GET[group] . "&authorized=" . $_GET[authorized] . "&module=member&post=" . urlencode(serialize($post)) . "&where=" . urlencode($where). "&orderby=member.name");

				$tpl->setVariable("ORDERBY_EMAIL_LINK", "admin.php?group=" . $_GET[group] . "&authorized=" . $_GET[authorized] . "&module=member&post=" . urlencode(serialize($post)) . "&where=" . urlencode($where). "&orderby=member.email");

				$tpl->setVariable("ORDERBY_GENDER_LINK", "admin.php?group=" . $_GET[group] . "&authorized=" . $_GET[authorized] . "&module=member&post=" . urlencode(serialize($post)) . "&where=" . urlencode($where). "&orderby=member.gender");

				$tpl->setVariable("ORDERBY_BIRTH_DATE_LINK", "admin.php?group=" . $_GET[group] . "&authorized=" . $_GET[authorized] . "&module=member&post=" . urlencode(serialize($post)) . "&where=" . urlencode($where). "&orderby=member.birth_date");

				$tpl->setVariable("ORDERBY_POINT_LINK", "admin.php?group=" . $_GET[group] . "&authorized=" . $_GET[authorized] . "&module=member&post=" . urlencode(serialize($post)) . "&where=" . urlencode($where). "&orderby=point%20desc");

				$tpl->setVariable("PAGE_LIST", $page_list);
				$tpl->setVariable("PAGES", $pages);
				$tpl->setVariable("PAGE", $page);
				$tpl->setVariable("TOTAL", $total);

				$tpl->setVariable("MSG_TOTAL", $settings->messages[total]);

				$tpl->setVariable("MSG_PAGE", $settings->messages[page]);

				$fields[] = "detail_info";

				$fields[] = "remove";

				$fields[] = "gender";

				if($_GET[group] && !$_GET[authorized])
					$fields[] = "auth";

				// ޼ ȯ
				foreach($fields as $key)
				{
					$tpl->setVariable("HEADER_MSG_" . strtoupper($key), $settings->messages[$key]);
				}

				$tpl->setVariable("SEND_MAIL_LINK", LINK_PATH . "admin.php?module=send_mail&where=" . urlencode($where) . "&href=" . urlencode(LINK_PATH . "admin.php?" . $_SERVER[QUERY_STRING]));

			}
			else
			{
				$tpl->touchBlock("no_result");
				$tpl->setVariable("MSG_NO_RESULT", $settings->messages[no_result]);

				$tpl->setVariable("SEND_MAIL_LINK", LINK_PATH . "admin.php?module=send_mail&href=" . urlencode(LINK_PATH . "admin.php?" . $_SERVER[QUERY_STRING]));

			}



			if($post)
			{
				$tpl->touchBlock("set_data");

				foreach($post as $key => $value)
				{
					
					$tpl->setVariable("POST_" . strtoupper($key) , $value);		
				}
			}

			// ޼ ȯ
			foreach($settings->messages as $key => $val)
			{
				if(!in_array($key, $selectable_keys))
					$tpl->setVariable("MSG_" . strtoupper($key), $val);
			}

			$tpl->setVariable("ACTION", $action . "&selected=" . $_GET[selected] . "&post=" . urlencode(serialize($post)) . "&where=" . urlencode($where));

			$tpl->setVariable("HEADER", $header);

			$tpl->setVariable("FOOTER", $footer);

			$tpl->setVariable("TITLE", $title);

			$tpl->setVariable("TMP_BOARD_ID", $tmp_board_id);

			$tpl->show();
	}
?>