<?php
/**
* +----------------------------------------------------------------------+
* | F Board                                                              |
* +----------------------------------------------------------------------+
* | Copyright (c) 2003 Fguy (http://fguy.com)                            |
* +----------------------------------------------------------------------+
* | This software licensed under the GPL license and is provided "as is" |
* | and is without any warranty.                                         |
* |                                                                      |
* | You need to purchase commercial licenses:                            |
* |                                                                      |
* | 1. If you distribute this Software with your non open source         |
* |    software.                                                         |
* | 2. If you want warranty for this software.                           |
* | 3. If you want to support development.                               |
* |                                                                      |
* | Licenses, Support and Training can be easily purchased online.       |
* +----------------------------------------------------------------------+
* | Author: Kang Tae Hoon <fguy@fguy.com>                                |
* +----------------------------------------------------------------------+
*
* ߺȮ
*
* @author fguy <fguy@fguy.com>
* @version 0.5
* @access public
* @package FBoard
*/
	require_once "../lib/Common.php";
	require_once "lib/SQL.php";
	require_once "lib/String.php";

	$value = trim($_GET[value]);
	$field = $_GET[field];
	$table = "member";

	if(!strcmp($field,"email") && !String::isEmail($value))
		echo "alert('" . $settings->messages[$field] . " : " . $settings->messages[invalid_email] . "')";
	else if(!strcmp($field,"reg_number") && !ereg("^[0-9\-]+$",$value))
		echo "alert('" . $settings->messages[$field] . " : " . $settings->messages[only_number_and_dash] . "')";
	else if($value)
	{
		if(!strcmp($field,"reg_number"))
		{
			$value = str_replace("-","",$value);
			$table = "member_ext";
		}


		$sql = new SQL($settings);

		// DB 
		$connection = $sql->db->connect($sql->dsn);

		if(DB::isError($connection))
		{
			echo "alert('" . $connection->getMessage() . "');";
			exit;
		}

		$query = "select count(1) from " . $settings->prefix . "_" . $table . " where ". $field . "='" . $value . "'";

		$result = $connection->getone($query);

		if(DB::isError($result))
		{
			echo "alert('" . $result->getMessage() . "');";
			exit;
		}

		//  
		if(!$result)
			echo "alert('" . $settings->messages['available_' . $field] . "');";
		//  Ұ
		else
			echo "alert('" . $settings->messages['unavailable_' . $field] . "');";

		// DB  
		$connection->disconnect();
	}
?>