<?php
/**
* +----------------------------------------------------------------------+
* | F Board                                                              |
* +----------------------------------------------------------------------+
* | Copyright (c) 2003 Fguy (http://fguy.com)                            |
* +----------------------------------------------------------------------+
* | This software licensed under the GPL license and is provided "as is" |
* | and is without any warranty.                                         |
* |                                                                      |
* | You need to purchase commercial licenses:                            |
* |                                                                      |
* | 1. If you distribute this Software with your non open source         |
* |    software.                                                         |
* | 2. If you want warranty for this software.                           |
* | 3. If you want to support development.                               |
* |                                                                      |
* | Licenses, Support and Training can be easily purchased online.       |
* +----------------------------------------------------------------------+
* | Author: Kang Tae Hoon <fguy@fguy.com>                                |
* +----------------------------------------------------------------------+
*
* Mail function library.
*
* @author fguy <fguy@fguy.com>
* @version 0.5
* @access public
* @package FBoard
*/

define(SLEEP_TIME, 5);
define(SEND_LIMIT, 1000);

class Email
{
	var $subject = "no subject";
	var $body = "";
	var $sender_name = "";
	var $sender_email = "";
	var $reply_to = "";
	var $receiver_name = "";
	var $receiver_email = "";
	var $content_type = "text/plain";
	var $charset = "iso-8859-1";
	
	var $_settings;

	 /**
     * 뷮  ߼
     *
	 * @param array ̸(1) ̸(0) ּҸ  2  迭
	 *
     * @return int  ߼۵  
     *
     * @access public
     */
	function sendLarge($target)
	{
		$this->_makeBody();

		$headers = "MIME-Version: 1.0\r\n";
		$headers .= "Content-type: " . $this->content_type ."; charset=" . $this->charset . "\r\n";
		$headers .= "From: ". $this->sender_name . " <" . $this->sender_email . ">\r\n";
		$headers .= "Reply-To: " . $this->reply_to . "\r\n";

		$count = 1;

		foreach($target as $receiver) 
		{ 
			if(!$receiver[1])
				$receiver[1] = $receiver[0];

			mail($receiver[1] . " <". $receiver[0] . ">", $this->subject, $this->body, $headers);

			if (($count % SEND_LIMIT) == 0) 
				sleep(SLEEP_TIME); // SEND_LIMIT ߼۶ SLEEP_TIME ʾ . 

			$count++;
		}

		return $count - 1;
	}

	 /**
     *  ߼
     *
     * @return bool  ߼  
     *
     * @access public
     */
	function send()
	{
		$this->_makeBody();

		$headers = "MIME-Version: 1.0\r\n";
		$headers .= "Content-type: " . $this->content_type ."; charset=" . $this->charset . "\r\n";
		$headers .= "From: ". $this->sender_name . " <" . $this->sender_email . ">\r\n";
		$headers .= "Reply-To: " . $this->reply_to . "\r\n";

		return mail($this->receiver_name . " <". $this->receiver_email . ">", $this->subject, $this->body, $headers);
	}

	function _makeBody()
	{
		if(trim($this->content_type) == "text/html" && file_exists($settings->skin_path . "_system/mail.html"))
		{
			$tpl = new Template($settings->skin_path . "_system");

			$tpl->loadTemplatefile("mail.html",true, true);

			$tpl->setVariable("SUBJECT", $this->subject);

			$tpl->setVariable("BODY", $this->body);

			$tpl->setVariable("ENCODING",$settings->encoding);


			// ޼ ȯ
			foreach($settings->messages as $key => $val)
			{
				$tpl->setVariable("MSG_" . strtoupper($key), $val);
			}

			$this->body = $tpl->get();
		}
	}

	function clear()
	{
		$this->subject = "";
		$this->body = "";
		$this->sender_name = "";
		$this->sender_email = "";
		$this->reply_to = "";
		$this->receiver = "";
	}

	function Email($settings)
	{
		$this->_settings = $settings;
	}
}