<?php
/**
* +----------------------------------------------------------------------+
* | F Board                                                              |
* +----------------------------------------------------------------------+
* | Copyright (c) 2003 Fguy (http://fguy.com)                            |
* +----------------------------------------------------------------------+
* | This software licensed under the GPL license and is provided "as is" |
* | and is without any warranty.                                         |
* |                                                                      |
* | You need to purchase commercial licenses:                            |
* |                                                                      |
* | 1. If you distribute this Software with your non open source         |
* |    software.                                                         |
* | 2. If you want warranty for this software.                           |
* | 3. If you want to support development.                               |
* |                                                                      |
* | Licenses, Support and Training can be easily purchased online.       |
* +----------------------------------------------------------------------+
* | Author: Kang Tae Hoon <fguy@fguy.com>                                |
* +----------------------------------------------------------------------+
*
* Template  Ȯ. SSI Include ± ó.
*
* @author fguy <fguy@fguy.com>
* @version 0.5
* @access public
* @package FBoard
*/
require_once "HTML/Template/IT.php";

class Template extends HTML_Template_IT
{
    function get($block = "__global__") {

        if ("__global__" == $block && !$this->flagGlobalParsed)
            $this->parse("__global__");

        if (!isset($this->blocklist[$block])) {
            $this->err[] = PEAR::raiseError(
                            $this->errorMessage( IT_BLOCK_NOT_FOUND ) .
                            '"' . $block . "'",
                            IT_BLOCK_NOT_FOUND
                        );
            return "";
        }

        if (!isset($this->blockdata[$block])) {
            return '';

        } else {
            $ret = $this->blockdata[$block];
            if ($this->clearCache) {
                unset($this->blockdata[$block]);
            }
            if ($this->_options['preserve_data']) {
                $ret = str_replace(
                        $this->openingDelimiter .
                        '%preserved%' . $this->closingDelimiter,
                        $this->openingDelimiter,
                        $ret
                    );
            }

			/****************** parse SSI include tags *********************/
//			$ret = preg_replace('/<!--#include virtual="([^"]+)"-->\n?/', "file_get_contents(\"" . "\\1" . "\")", $ret);
			$ret = preg_replace_callback('/<!--#include (file|virtual)="([^"]+)"-->\n?/', array($this, 'include_callback'), $ret);
			/****************** End of parse SSI include tags *********************/

            return $ret;
        }
    } // end func get()

    function include_callback($subject)
    {
		return file_get_contents($subject[2]);
    }
}