<?php
/**
* +----------------------------------------------------------------------+
* | F Board                                                              |
* +----------------------------------------------------------------------+
* | Copyright (c) 2003 Fguy (http://fguy.com)                            |
* +----------------------------------------------------------------------+
* | This software licensed under the GPL license and is provided "as is" |
* | and is without any warranty.                                         |
* |                                                                      |
* | You need to purchase commercial licenses:                            |
* |                                                                      |
* | 1. If you distribute this Software with your non open source         |
* |    software.                                                         |
* | 2. If you want warranty for this software.                           |
* | 3. If you want to support development.                               |
* |                                                                      |
* | Licenses, Support and Training can be easily purchased online.       |
* +----------------------------------------------------------------------+
* | Author: Kang Tae Hoon <fguy@fguy.com>                                |
* +----------------------------------------------------------------------+
*
* Schema.xml Ľ
*
* @author fguy <fguy@fguy.com>
* @version 0.5
* @access public
* @package FBoard
*/

	//require_once "Common.php";
	require_once "lib/Template.php";

	$settings = new Settings($path);

	$tpl = new Template($settings->skin_path . "_system");

	$tpl->loadTemplatefile("schema.xml",true, true);

	foreach($settings->messages as $key => $val)
	{
		$tpl->setVariable("MSG_" . strtoupper($key), $val);
	}

	$tpl->setVariable("PREFIX", $settings->prefix);
	$tpl->setVariable("ENCODING", $settings->encoding);

	$tpl->show();
?>