<?php
/**
* +----------------------------------------------------------------------+
* | F Board                                                              |
* +----------------------------------------------------------------------+
* | Copyright (c) 2003 Fguy (http://fguy.com)                            |
* +----------------------------------------------------------------------+
* | This software licensed under the GPL license and is provided "as is" |
* | and is without any warranty.                                         |
* |                                                                      |
* | You need to purchase commercial licenses:                            |
* |                                                                      |
* | 1. If you distribute this Software with your non open source         |
* |    software.                                                         |
* | 2. If you want warranty for this software.                           |
* | 3. If you want to support development.                               |
* |                                                                      |
* | Licenses, Support and Training can be easily purchased online.       |
* +----------------------------------------------------------------------+
* | Author: Kang Tae Hoon <fguy@fguy.com>                                |
* +----------------------------------------------------------------------+
*
* Խù ̵
*
* @author fguy <fguy@fguy.com>
* @version 0.5
* @access public
* @package FBoard
*/

	if(!$_GET[id] || !$_GET[num])
		alert($settings->messages[invalid_article]);
	
	if($article->data[num] != abs($article->data[parent]))
		alert($settings->messages[is_not_parent]);

	switch($_GET[mode])
	{
		case "move" :
			if(!$_GET[target])
				alert($settings->messages[invalid_moving_target]);

			$article = new Article($settings, $connection, $_GET[id]);


			$sysop = $connection->getOne("select admin from " . $settings->prefix . "_board_config where id=" . $_GET[target]);

			if(DB::isError($sysop))
				alert($sysop->getMessage() . " on " . __FILE__ . " line " . __LINE__);

			//  ľ
			if($session->get("email") != $settings->admin && $session->get("email") != $sysop)
				alert($settings->messages[no_grant]);


			// ̵ Խù  亯 select
			$result = $connection->query("select * from " . $settings->prefix . "_" . $_GET[id] . "_board where parent = -" . $_GET[num] . " order by level");

			if(DB::isError($result))
				alert($result->getMessage() . " on " . __FILE__ . " line " . __LINE__);

			while($data = $result->fetchRow(DB_FETCHMODE_ASSOC))
			{
				$num = $data[num];
				$phase = $data[phase];

				//  Խù ȣ
				$data[num] = $connection->getOne("select max(num)+1 from " . $settings->prefix . "_" . $_GET[target] . "_board");

				if(!$data[num] || DB::isError($data[num]))
					$data[num] = 1;

				// parent  
				if(abs($data[parent]) == $num)
				{
					$data[parent] = "-" . $data[num];
					$parent = "-" . $data[num];
				}
				else
				{
					//  
					if($data[notice])
					{
						$data[parent] = $connection->getOne("select max(parent) + 1 from " . $settings->prefix . "_" . $_GET[target] . "_board where parent < " . NOTICE_PARENT);

						if(!$data[parent] || DB::isError($data[parent]))
							$data[parent] = NOTICE_PARENT - 1;
					}
					else
						$data[parent] = $parent;
				}

				// phase 
				if($data[level] == 0)
				{
					$data[phase] = $data[num] / PHASE_LIMIT;

					if($data[phase] <= 1)
						$data[phase] = 1;
					else
						$data[phase] = floor($data[phase]) + 1;
				}
				else
				{
					$data[phase] = $phase;
				}

				$max_phase = $connection->getOne("select max(phase) from " . $settings->prefix . "_phase where id=" . $_GET[target]);

				if(!$max_phase || DB::isError($max_phase))
				{
					$max_phase = 0;
				}

				if($data[phase] > $max_phase)
				{
					$values = array("id" => $_GET[id], "phase" => $data[phase], "cnt" => 1);

					$connection->autoExecute($settings->prefix . "_phase", $values);
				}
				else
				{
					$result_phase = $connection->query("update " . $settings->prefix . "_phase set cnt = cnt + 1 where id=" . $_GET[target] . " and phase=" . $data[phase]);

					if(DB::isError($result_phase))
					{
						alert($result_phase->getMessage() . " on " . __FILE__ . " line " . __LINE__);
					}
				}

				// īװ
				if($data[category])
				{
					$category_label = $connection->getOne("select label from " . $settings->prefix . "_category where id=" . $_GET[id] . " and num = " . $data[category]);

					$data[category] = $connection->getOne("select num from " . $settings->prefix . "_category where id=" . $_GET[target] . " and num = " . $data[category] . " and label = " . $category_label);

					if(DB::isError($data[category]) || !$data[category])
					{
						$data[category] = $connection->getOne("select max(num) + 1 from " . $settings->prefix . "_category where id=" . $_GET[target]);

						if(DB::isError($data[category]) || !$data[category])
							$data[category] = 0;

						$values = array("id" => $_GET[target], "num" => $data[category], "label" => $category_label);
				
						$result_category = $connection->autoExecute($settings->prefix . "_category", $values);

						if(DB::isError($result_category))
							alert($result_category->getMessage() . " on " . __FILE__ . " line " . __LINE__);
					}
				}

				// ÷ 
				$file_exists = $connection->getOne("select count(1) from " . $settings->prefix . "_files where board_id = " . $_GET[id] . " and board_num = " . $num);

				if(!DB::isError($file_exists) && $file_exists > 0)
				{
					if($_GET["delete"])
					{
						$result_files = $connection->query("update " . $settings->prefix . "_files set board_id = " . $_GET[target] . ", board_num = " . $data[num] . " where board_id = " . $_GET[id] . " and board_num = " . $num);
					}
					else
					{
						$result_files = $connection->query("select * from " . $settings->prefix . "_files where board_id = " . $_GET[id] . " and board_num = " . $num);

						while($row_files = $result_files->fetchRow(DB_FETCHMODE_ASSOC))
						{
							// file ̺  ȣ ο
							$row_files[num] = $connection->getOne("select max(num) + 1 from " . $settings->prefix . "_files");

							if(!$row_files[num] || DB::isError($row_files[num]))
								$row_files[num] = 1;						

							$row_files[board_id] = $_GET[target];
							$row_files[board_num] = $data[num];

							$connection->autoExecute($settings->prefix . "_files", $row_files, DB_AUTOQUERY_INSERT);
						}

						unset($row_files);
					}

					if(DB::isError($result_files))
						alert($result_files->getMessage() . " on " . __FILE__ . " line " . __LINE__);

					if(!is_dir($settings->uploaded_file_path  . $_GET[target]))
						@mkdir($settings->uploaded_file_path  . $_GET[target],0777);
					if(!is_dir($settings->uploaded_file_path  . $_GET[target] . "/" . $data[num]))
						@mkdir($settings->uploaded_file_path  . $_GET[target] . "/" . $data[num], 0777);

					//   ̵ 
					if(is_dir($settings->uploaded_file_path  . $_GET[id] . "/" . $num))
					{
						$dir = opendir($settings->uploaded_file_path . "/" . $_GET[id] . "/" . $num);
						while($file = readdir($dir))
						{
							if($file != "." && $file != "..")
							{
								copy($settings->uploaded_file_path . $_GET[id] . "/" . $num . "/" . $file , $settings->uploaded_file_path  . $_GET[target] . "/" . $data[num] . "/" . $file);

								if($_GET["delete"])
									unlink($settings->uploaded_file_path . $_GET[id] . "/" . $num . "/" . $file);
							}
						}
						closedir($dir);

						if($_GET["delete"])
							@rmdir($settings->uploaded_file_path  . $_GET[id] . "/" . $num);
					}
				}

		
				$result2 = $connection->autoExecute($settings->prefix ."_" . $_GET[target] . "_board", $data);

				if(DB::isError($result2))
				{
					alert($result2->getMessage() . " on " . __FILE__ . " line " . __LINE__);
				}


				// PHASE 
				$phase_count = $connection->getOne("select cnt from " . $settings->prefix . "_phase where id=" . $_GET[id] . " and phase=" . $phase);

				if(!DB::isError($phase_count) && $phase_count <= 1)
				{
					$result2 = $connection->query("delete from " . $settings->prefix ."_phase where id=" . $_GET[id] . " and phase=" . $phase);

					if(DB::isError($result2))
						alert($result2->getMessage() . " on " . __FILE__ . " line " . __LINE__);
				}
				else
				{
					$result2 = $connection->query("update " . $settings->prefix ."_phase set cnt = cnt - 1 where id=" . $_GET[id] . " and phase=" . $phase);

					if(DB::isError($result2))
						alert($result2->getMessage() . " on " . __FILE__ . " line " . __LINE__);
				}


				// ڸƮ ̵
				$result_comment = $connection->query("select * from " . $settings->prefix . "_" . $_GET[id] . "_comment where parent = " . $num);

				while($row = $result_comment->fetchRow(DB_FETCHMODE_ASSOC))
				{
					$row[parent] = $data[num];

					$result2 = $connection->autoExecute($settings->prefix ."_" . $_GET[target] . "_comment", $row);

					if(DB::isError($result2))
						alert($result2->getMessage() . " on " . __FILE__ . " line " . __LINE__);

				}

				if($_GET["delete"])
				{
					// ڸƮ 
					$result2 = $connection->query("delete from " . $settings->prefix . "_" . $_GET[id] . "_comment where parent = " . $num);

					if(DB::isError($result2))
						alert($result2->getMessage() . " on " . __FILE__ . " line " . __LINE__);
				}
			}

			// Խù 
			if($_GET["delete"])
			{
				$result = $connection->query("delete from " . $settings->prefix . "_" . $_GET[id] . "_board where parent = -" . $_GET[num]);

				if(DB::isError($result))
					alert($result->getMessage() . " on " . __FILE__ . " line " . __LINE__);
			}

			alert($settings->messages[complete_move_article], $_GET[href]);


			break;

		// Խù ̵ ȭ
		default :

			$tpl = new Template($settings->skin_path . "_system");

			$tpl->loadTemplatefile("article_move.html",true, true);

			$tpl->setVariable("ENCODING", $settings->encoding);

			$tpl->setVariable("SELECTED", "b" . $_GET[id]);

			$tpl->setVariable("ID", $_GET[id]);

			$tpl->setVariable("NUM", $_GET[num]);

			$tpl->setVariable("HREF", $_GET[href]);

			$tpl->setVariable("TITLE", $settings->messages[move_article]);

			$tpl->setVariable("MSG_MOVE_ARTICLE_INFO", $settings->messages[move_article_info]);

			$tpl->setVariable("MSG_DELETE_AFTER_MOVE", $settings->messages[delete_after_move]);

			$tpl->show();

			break;
	}
?>