<?php
/**
* +----------------------------------------------------------------------+
* | F Board                                                              |
* +----------------------------------------------------------------------+
* | Copyright (c) 2003 Fguy (http://fguy.com)                            |
* +----------------------------------------------------------------------+
* | This software licensed under the GPL license and is provided "as is" |
* | and is without any warranty.                                         |
* |                                                                      |
* | You need to purchase commercial licenses:                            |
* |                                                                      |
* | 1. If you distribute this Software with your non open source         |
* |    software.                                                         |
* | 2. If you want warranty for this software.                           |
* | 3. If you want to support development.                               |
* |                                                                      |
* | Licenses, Support and Training can be easily purchased online.       |
* +----------------------------------------------------------------------+
* | Author: Kang Tae Hoon <fguy@fguy.com>                                |
* +----------------------------------------------------------------------+
*
* RSS  
*
* @author fguy <fguy@fguy.com>
* @version 0.5
* @access public
* @package FBoard
*/

	$path = realpath(__FILE__);

	if($path)
	{
		$path = str_replace("rdf.php","",$path);
	}

	require_once $path."lib/Common.php";
	require_once "lib/String.php";
	require_once "lib/SQL.php";
	require_once "lib/Security.php";
	require_once "lib/Template.php";

	//   
	require_once "constants.php";


	$sql = new SQL($settings);

	// DB 
	$connection = $sql->db->connect($sql->dsn);

	// ASSOC  Fetch mode 
	$connection->setFetchMode(DB_FETCHMODE_ASSOC);

	if(DB::isError($connection))
		alert($connection->getMessage() . " on " . __FILE__ . " line " . __LINE__);

	$link = "http://".$_SERVER[HTTP_HOST].str_replace("rdf.php","index.php",$_SERVER[SCRIPT_NAME])."?id=". $_GET[id];

	$tpl = new Template($settings->skin_path . "_system");

	$tpl->loadTemplatefile("rss.xml",true, true);

	$board_name = $connection->getOne("select name from " . $settings->prefix . "_board_config where id = " . $_GET[id]);

	// ڵ Select 
	$query = "select * from " . $settings->prefix . "_" . $_GET[id] ."_board  order by reg_date desc";

	$result = $connection->limitQuery($query,0, 20);

	if(DB::isError($result))
		alert($result->getMessage() . " on " . __FILE__ . " line " . __LINE__);

	while($row = $result->fetchRow(DB_FETCHMODE_ASSOC))
	{
		//   
		if(String::isBlank($row[subject]))
			$row[subject] = $settings->messages[nosubject];

		// ũ 
		$row[link] =  $link . "&module=view&num=" . $row[num];

		$row[date] = date("r",$row[reg_date]);

		if (!$row[html])
		{
			$row[body] = String::removeTags($row[body]);
			$row[body] = String::autoLink($row[body],true);
		}

		//   ü  ǹ ü
		$row[body] = str_replace("  ","&nbsp;&nbsp;",$row[body]);
		$row[body] = str_replace("\t","&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;",$row[body]);			

		if($row[html] < 2)
			$row[body] = nl2br($row[body]);


		//   ü  ǹ ü
		$tpl->setVariable("ITEM_TITLE", htmlspecialchars(strip_tags($row[subject])));
		$tpl->setVariable("ITEM_LINK", htmlspecialchars($row[link]));
		$tpl->setVariable("ITEM_PUBDATE", $row[date]);
		$tpl->setVariable("ITEM_DESC", htmlspecialchars(stripslashes($row[body])));

		if(!PEAR::isError($tpl->setCurrentBlock("item")))
		{
			$tpl->parseCurrentBlock();
		}
	}

	header('Content-Type: text/xml');
	$tpl->setVariable("TITLE", htmlspecialchars($board_name));
	$tpl->setVariable("LINK", htmlspecialchars($link));
	$tpl->setVariable("LANGUAGE", $settings->language);
	$tpl->setVariable("ENCODING", $settings->encoding);


	unset($row);
	unset($result);

	$tpl->show();

	unset($tpl);
?>