<?php
/**
* +----------------------------------------------------------------------+
* | F Board                                                              |
* +----------------------------------------------------------------------+
* | Copyright (c) 2003 Fguy (http://fguy.com)                            |
* +----------------------------------------------------------------------+
* | This software licensed under the GPL license and is provided "as is" |
* | and is without any warranty.                                         |
* |                                                                      |
* | You need to purchase commercial licenses:                            |
* |                                                                      |
* | 1. If you distribute this Software with your non open source         |
* |    software.                                                         |
* | 2. If you want warranty for this software.                           |
* | 3. If you want to support development.                               |
* |                                                                      |
* | Licenses, Support and Training can be easily purchased online.       |
* +----------------------------------------------------------------------+
* | Author: Kang Tae Hoon <fguy@fguy.com>                                |
* +----------------------------------------------------------------------+
*
* Խù 
*
* @author fguy <fguy@fguy.com>
* @version 0.5
* @access public
* @package FBoard
*/
	require_once "lib/Search.php";

	if(!$_GET[id] || !$_GET[num])
		alert($settings->messages[invalid_article]);	

	if($my_grant < $grant[grant_read])
		alert($settings->messages[no_grant_view]);

	$result = $connection->getOne("select count(1) from " . $settings->prefix . "_" . $_GET[id] . "_board where num = " . $_GET[num]);

	if(!$result || DB::isError($result))
		alert($settings->messages[invalid_article]);

	$article = new Article($settings, $connection, $_GET[id], $_GET[num]);

	if($config[type] == "calendar")
	{
		$year = date("Y", $article->data[reg_date]);
		$month = date("m", $article->data[reg_date]);
	}

	// õ
	if($_GET[mode] == "vote")
	{
		if($has_session && $article->data[members] && $article->data[email] == $session->get("email"))
			alert($settings->messages[cannot_self_vote]);

		$type = $_GET[type];

		if($type != "opposite")
			$type = "recommend";


		
		$voted_list = unserialize(stripslashes($session->getcookie("voted")));

		if(!$voted_list)
			$voted_list = array();

		if(!in_array("vote_" . $type . "_" . $_GET[id] . "_" . $_GET[num] , $voted_list))
		{
			if($type == "opposite")
			{
				$vote = ++$article->data[opposite];
			}
			else
			{
				$vote = ++$article->data[recommend];
			}

			//  ǵ ѹ õ
			$voted_list[] = "vote_" . $type . "_" . $_GET[id] . "_" . $_GET[num];

			setcookie("voted", serialize($voted_list));

			// ڰ ۼ   Ʈ 
			if($article->data[members])
			{
				$connection->query("update " . $settings->prefix . " set " . $type . "=" . $type . "+". $points[$type] . " where email='" . $article->data[email] . "'");
			}

			$connection->query("update " . $settings->prefix . "_" . $_GET[id] . "_board set " . $type . "=" . $vote . " where num=" . $_GET[num]);

			unset($type);
		}

		//  - 1;
		$article->data[hit]--;
	}

	if($article->data[member_email])
		$article->data[email] = $article->data[member_email];
	if($article->data[member_homepage])
		$article->data[homepage] = $article->data[member_homepage];

	// ׷  ± 
	if($article->getGrant($config) < $grant[grant_full_html])
	{
		$article->data[subject]=String::removeTags($article->data[subject]);
		$article->data[homepage]=String::removeTags($article->data[homepage]);
		if($config[use_html] == 'y' && $article->data[html])
			$article->data[body]=Security::avoidCrack($article->data[body]);
		$article->data[email]=String::removeTags($article->data[email]);
		$article->data[name]=String::removeTags($article->data[name]);
		$article->data[related_link]=String::removeTags($article->data[related_link]);
	}

	$article->data[subject]=stripslashes($article->data[subject]);
	$article->data[body]=stripslashes($article->data[body]);
	$article->data[related_link]=stripslashes($article->data[related_link]);

	if(String::isBlank($article->data[name]))
		$article->data[name] = $article->data[member_name];

	$name_only = $article->data[name];
	$email_only = $article->data[email];

	// ۼ κ ó
	if($article->data[members])
		$article->data[name] = "<a href=javascript:void(0) onclick=\"viewMemberInfo('" . $article->data[email] . "');return false\"><font class=\"writerMemberView\">".$article->data[name]."</font></a>";
	else if(!String::isBlank($article->data[email]))
		$article->data[name] = String::emailLink($article->data[name],$article->data[email]);
	else
		$article->data[name] = "<font class=writerView>".$article->data[name]."</font>";

	if (!$article->data[html])
		$article->data[body] = String::removeTags($article->data[body]);
	if($article->data[html] < 1)
		$article->data[body] = String::autoLink($article->data[body], true);

	// ˻ Ű ̶Ʈ
	if(!strcmp($_GET[mode],"search"))
	{
		$search_mode .=  "&mode=search&prepage=" . $_GET[prepage] . "&s_subject=" . $_GET[s_subject] . "&s_body=" . $_GET[s_body] . "&s_name=" . $_GET[s_name] . "&s_file=" . $_GET[s_file] . "&s_comment=" . $_GET[s_comment] . "&s_category=" . $_GET[s_category] . "&related_link=" . $_GET[related_link] . "&keyword=" . urlencode($_GET[keyword]) . "&s_date_start=" . $_GET[s_date_start] . "&s_date_end=" . $_GET[s_date_end] . "&s_category_code=" . $_GET[s_category_code];

		Search::doKeywordHighlight($article->data);
	}

	//   ü  ǹ ü
	$article->data[body]=str_replace("  ","&nbsp;&nbsp;",$article->data[body]);
	$article->data[body]=str_replace("\t","&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;",$article->data[body]);			
		
	if($article->data[html] < 2)
		$article->data[body] = nl2br($article->data[body]);

	$article->data[body] = stripslashes($article->data[body]);

/*
	if($article->data[homepage])
		$article->data[homepage] = "<a href=\"" . $article->data[homepage] . "\" target=_blank>" . $article->data[homepage] . "</a>";
	else if($member[homepage])
		$article->data[homepage] = "<a href=\"" . $member[homepage] . "\" target=_blank>" . $member[homepage] . "</a>";
*/

	$article->data[hit]++; //  + 1

	$connection->query("update " . $settings->prefix . "_" . $_GET[id] . "_board set hit=" . $article->data[hit] . " where num=" . $_GET[num]);


	// ø ε
	$tpl = new Template($skin_path);

	$tpl->loadTemplatefile("view.html");



	// ÷   
	$file_info = $article->getAttachFileInfo();

	foreach($file_info as $file)
	{
		if(!PEAR::isError($tpl->setCurrentBlock("file")))
		{
			$tpl->setVariable("DOWNLOAD", $file[hit]);
			$tpl->setVariable("DOWNLOAD_LINK", LINK_NAME . "?module=download&id=" . $_GET[id] . "&num=" . $file[num]);
			$tpl->setVariable("FILE_ICON", Parts::getIcon($file[name]));
			$tpl->setVariable("FILE_SIZE", String::convertSize($file[size]));
			$tpl->setVariable("FILE_NAME", $file[name]);
			$tpl->setVariable("FILE_NUM", $file[num]);
			$tpl->setVariable("FILE_PATH", FILE_PATH . $_GET[id] . "/" . $article->data[num] . "/" . urlencode(urlencode($file[name])));
			$tpl->parseCurrentBlock("file");
		}
		$file_name[] = $file[name];
	}

	//  ̸ 뿩 üũ
	if($config[use_file_preview] == "y" && $file_name)
	{
		// Խù    
		$file_view = file_view($settings, $config[width], array_reverse($file_name));

		// body   ߰
		$article->data[body] = $file_view.$article->data[body];
	}


	$return_page = $_GET[page];


	/****************** ڸƮ  *********************/
	// ڵ Select 
	$query = "select comment.*, member.name as member_name ";

	$query .= " from " . $settings->prefix . "_" . $_GET[id] . "_comment as comment ";

	$query .= " left outer join " . $settings->prefix . "_member as member on comment.email = member.email ";

	$query .= " where comment.parent = " . $_GET[num];

	$query .= " order by comment.num";

	$result = $connection->query($query);

	while($row = $result->fetchRow(DB_FETCHMODE_ASSOC))
	{
		if(!$row[name])
			$row[name] = $row[member_name];

		$row[name] = String::removeTags($row[name]);
		$row[comment] = String::removeTags($row[comment]);

		if(!strcmp($_GET[mode],"search"))
		{
			Search::doKeywordHighlight($row);
		}

		if($row[email])
			$row[name] = "<a href=javascript:void(0) onclick=\"viewMemberInfo('" . $row[email] . "');return false\"><font class=\"writerMemberView\">".$row[name]."</font></a>";
		else
			$row[name] = "<font class=\"writerView\">".$row[name]."</font>";

		if($row[password])
		{
			if(($row[email] && $session->get("email") == $row[email]) || !$row[email] || ($has_session && ($my_grant >= $grant[grant_delete])))
			{
				$comment_editable = true;
			}
			else
				$comment_editable = false;
		}
		else if($has_session && ($my_grant >= $grant[grant_delete]))
			$comment_editable = true;
		else
			$comment_editable = false;

		$row[comment] = nl2br(String::autoLink(stripslashes($row[comment])));

		/************* ø ġȯ ***************/
		if(!PEAR::isError($tpl->setCurrentBlock("comment_record")))
		{
			// ¥
			foreach($date_format as $key => $val)
			{
				$tpl->setVariable("COMMENT_" . strtoupper($key), date($val, $row[reg_date]));
			}
			
			$tpl->setVariable("COMMENT_NAME", $row[name]);
			$tpl->setVariable("COMMENT_BODY", $row[comment]);
			$tpl->setVariable("COMMENT_NUM", $row[num]);

			if($comment_editable)
			{
				$tpl->setVariable("COMMENT_DELETE_LINK", LINK_NAME . "?module=comment&mode=show_delete_form&id=" . $_GET[id] . "&num=" . $row[num] . "&view_num=" . $_GET[num] . "&page=" . $_GET[page] . "&search_mode=" . urlencode($search_mode));
				$tpl->setVariable("MSG_CONFIRM_DELETE_COMMENT", $settings->messages[confirm_delete_comment]);
/*
				if(!PEAR::isError($tpl->setCurrentBlock("comment_editable")))
				{
					$tpl->parseCurrentBlock("comment_editable");
				}
*/
			}
			$tpl->parseCurrentBlock("comment_record");
		}
		/************* ø ġȯ  ***************/
	}


	/****************** ڸƮ   *********************/

	//   
	if((!$has_session && !$article->data[members] && $article->data[password]) || ($article->data[members] && $session->get("email") == $article->data[email]) || ($has_session && ($my_grant >= $grant[grant_delete])))
	{
		$editable = true;
	}


	define("END_VIEW", true);

	$selected_num = $_GET[num]; //   ִ  ̶Ʈ

	if(!$config[use_list] == "y")
		$related_list = true; // Ʈ    ñ 


	/************* ø ġȯ ***************/

	// ¥
	foreach($date_format as $key => $val)
	{
		$tpl->setVariable(strtoupper($key), date($val, $article->data[reg_date]));
	}

	$tpl->setVariable("HEADER", $header);
	$tpl->setVariable("FOOTER", $footer);
	$tpl->setVariable("SKIN_PATH", SKIN_PATH);

	unset($header);
	unset($footer);


	
	$tpl->setVariable("NAME", $article->data[name]);
	$tpl->setVariable("NAME_ONLY", $name_only);
	$tpl->setVariable("SUBJECT", $article->data[subject]);
	$tpl->setVariable("BODY", $article->data[body]);
	$tpl->setVariable("RECOMMEND", $article->data[recommend]);
	$tpl->setVariable("OPPOSITE", $article->data[opposite]);
	$tpl->setVariable("EMAIL", $article->data[email]);
	$tpl->setVariable("EMAIL_ONLY", $email_only);
	$tpl->setVariable("HOMEPAGE", $article->data[homepage]);
	$tpl->setVariable("HIT", $article->data[hit]);
	$tpl->setVariable("RELATED_LINK", $article->data[related_link]);
	$tpl->setVariable("ID", $_GET[id]);
	$tpl->setVariable("NUM", $_GET[num]);
	$tpl->setVariable("TITLE", $config[name]);
	$tpl->setVariable("CATEGORY", $article->data[category_label]);


	switch($config[type])
	{
		case "calendar" :
			$tpl->setVariable("LIST_LINK", LINK_NAME . "?id=" . $_GET[id] . "&year=" . $year . "&month=" . $month);
			$edit_link = LINK_NAME . "?module=write&mode=edit&id=" . $_GET[id] . "&num=" . $_GET[num] . "&year=" . $year . "&month=" . $month . "&search_mode=" . urlencode($search_mode);
			$delete_link = LINK_NAME . "?module=write&mode=show_delete_form&id=" . $_GET[id] . "&num=" . $_GET[num] . "&year=" . $year . "&month=" . $month . "&search_mode=" . urlencode($search_mode);
			break;

		default :
			$tpl->setVariable("LIST_LINK", LINK_NAME . "?id=" . $_GET[id] . "&page=" . $_GET[page] . $search_mode);
			$edit_link = LINK_NAME . "?module=write&mode=edit&id=" . $_GET[id] . "&num=" . $_GET[num] . "&page=" . $_GET[page] . "&search_mode=" . urlencode($search_mode);
			$delete_link = LINK_NAME . "?module=write&mode=show_delete_form&id=" . $_GET[id] . "&num=" . $_GET[num] . "&page=" . $_GET[page] . "&search_mode=" . urlencode($search_mode);
			break;
	}

	if($config[use_vote] == "y")
	{
		$tpl->touchBlock("vote");

		$tpl->setVariable("MSG_RECOMMEND", $settings->messages[recommend]);
		$tpl->setVariable("MSG_OPPOSITE", $settings->messages[opposite]);
		$tpl->setVariable("RECOMMEND_LINK", LINK_NAME . "?module=view&mode=vote&type=recommend&id=" . $_GET[id] . "&num=" . $_GET[num] . "&page=" . $_GET[page] . "&search_mode=" . urlencode($search_mode));
		$tpl->setVariable("OPPOSITE_LINK", LINK_NAME . "?module=view&mode=vote&type=opposite&id=" . $_GET[id] . "&num=" . $_GET[num] . "&page=" . $_GET[page]  . "&search_mode=" . urlencode($search_mode));
	}

	// ۾ ǥ 
	if($writable)
	{
		$tpl->touchBlock("writable");

		$tpl->setVariable("WRITE_LINK", LINK_NAME . "?module=write&id=" . $_GET[id]);
		$tpl->setVariable("MSG_WRITE", $settings->messages[write]);
	}

	if($editable)
	{
		$tpl->touchBlock("editable");
		$tpl->setVariable("MSG_EDIT", $settings->messages[edit]);
		$tpl->setVariable("MSG_DELETE", $settings->messages[delete]);
		$tpl->setVariable("MSG_CONFIRM_DELETE", $settings->messages[confirm_delete]);
		$tpl->setVariable("EDIT_LINK", $edit_link);
		$tpl->setVariable("DELETE_LINK", $delete_link);
	}

	if($repliable)
	{
		$tpl->touchBlock("repliable");		

		$tpl->setVariable("MSG_REPLY", $settings->messages[reply]);
		$tpl->setVariable("REPLY_LINK", LINK_NAME . "?module=write&mode=reply&id=" . $_GET[id] . "&num=" . $_GET[num] . "&page=" . $_GET[page]  . "&search_mode=" . urlencode($search_mode));
	}

	// Խù ̵ ɽ
	if($my_grant >= USER_SYSOP && $article->data[depth] == 0)
	{
		$tpl->touchBlock("movable");		

		$tpl->setVariable("NUM", $_GET[num]);
		$tpl->setVariable("MSG_MOVE_ARTICLE", $settings->messages[move_article]);
		$tpl->setVariable("MOVE_LINK", LINK_NAME . "?module=move&id=" . $_GET[id] . "&num=" . $_GET[num] . "&page=" . $_GET[page]  . "&search_mode=" . urlencode($search_mode));
	}

	// ڸƮ   ڸƮ Է  
	if($config[use_comment] == "y")
	{
		$tpl->touchBlock("comment");
		$tpl->setVariable("COMMENT_ACTION", LINK_NAME . "?module=comment&id=" . $_GET[id] . "&num=" . $_GET[num] . "&page=" . $_GET[page]  . "&search_mode=" . urlencode($search_mode));

		// ڸƮ  
		if($has_session)
		{
			$tpl->touchBlock("has_session");
			$tpl->setVariable("MEMBER_NAME", $member[name]);
		}
		else
		{
			$name = "";
			parse_str($session->getcookie("user_info"));

			$tpl->touchBlock("no_session");

			$tpl->setVariable("USER_NAME", $name);
			$tpl->setVariable("MSG_COMMENT_NAME", $settings->messages[comment_name]);
			$tpl->setVariable("MSG_COMMENT_PASSWORD", $settings->messages[comment_password]);
			$tpl->setVariable("MSG_COMMENT_BODY", $settings->messages[comment_body]);
		}
	}

	//   ޼ ȯ ʵ ϱ Ͽ..
	$selectable_keys = array("edit", "delete", "confirm_delete_comment", "recommend", "opposite", "reply", "write", "comment_name", "comment_body", "comment_password", "move_article", "related_list");

	// ޼ ȯ
	foreach($settings->messages as $key => $val)
	{
		if(!in_array(strtolower($key), $selectable_keys))
			$tpl->setVariable("MSG_" . strtoupper($key), $val);
	}

	unset($selectable_keys);


	define("IN_VIEW", true);

	if($config[use_list] != "y")
	{
		$related =  $article->data[parent];
		$tpl->touchBlock("related_list");
		$tpl->setVariable("MSG_RELATED_LIST", $settings->messages[related_list]);
	}

	// Ʈ
	ob_start();
	include "list.php";
	$list = ob_get_contents();
	ob_end_clean();

	if($config[use_list] == "y" || !PEAR::isError($tpl->setCurrentBlock("prev_next")))
		$tpl->setVariable("LIST", $list);

	if($config[use_list] != "y")
	{
		$tpl->touchBlock("prev_next");
		get_prev_next($tpl, $article->data);
	}


//	unset($name);

	$tpl->setVariable("WIDTH", $config[width]);

	$tpl->show();

	unset($tpl);

	/************* ø ġȯ  ***************/


	// Խù    ( ̹ ϰ HTML, TXT ϸ  Ǿ )
	function file_view($settings, $width, $file_name)
	{
		if(is_int($width) && $width > NORMAL_IMG_WIDTH)
			$img_width_limit = $width - 40;
		else
			$img_width_limit = NORMAL_IMG_WIDTH;

		if(is_array($file_name))
		{
			foreach($file_name as $file)
			{
				$size = "";

				$ext = Parts::getExtension($file);

				if(Parts::isImage($file)) // ̹ 
				{
					$filename = FILE_PATH  . $_GET[id] ."/" . $_GET[num] . "/" . urlencode($file);

					$imginfo = @getimagesize($filename);

					if($imginfo[0] > $img_width_limit)
					{
						$imgwidth = $img_width_limit;
						$imgheight = $imginfo[1] * ($img_width_limit / $imginfo[0]);

						$size = "width=".$imgwidth." height=".$imgheight." onclick=\"window.open('view_image.php?imgsrc=" . urlencode($filename) . "','_blank','width=100,height=100,scrollbars=yes');\" style=cursor:hand";
					}
					else
						$size = $imginfo[3];

					$file_view = "<p align=\"center\"><img src='" . $filename = FILE_PATH  . $_GET[id] ."/" . $_GET[num] . "/" . urlencode(urlencode($file)) . "' border=0 alt='".$file."' " . $size . "></p>\n\n".$file_view;
				}

				else if(eregi("swf",$ext))
				{
					$filename = FILE_PATH  . $_GET[id] ."/" . $_GET[num] . "/" . urlencode($file);

					$imginfo = getimagesize($filename);

					$filename = FILE_PATH  . $_GET[id] ."/" . $_GET[num] . "/" . urlencode(urlencode($file));
					
					$file_view = "<p align=\"center\"><embed src=\"" . $filename . "\" " . $imginfo[3] . "></embed></p>\n\n".$file_view;
				}

				else if(eregi("php|htm|txt",$ext)) // HTML (TXT)  
				{
					$file = FILE_PATH  . $_GET[id] ."/" . $_GET[num] . "/" . $file;
					$htm_file=@file($file);
					$view = "";
					for($j=0;$j<count($htm_file);$j++) 
							$view .= $htm_file[$j];
					if(!eregi("txt",$ext))
						$file_view = $view.$file_view;
					else
						$file_view = "<pre>".$view."</pre>".$file_view;
				}
			}
		}

		return $file_view;
	}

	function get_prev_next(&$tpl_list, $data)
	{
		global $config, $where, $connection, $settings, $date_format, $query_state, $session, $sql;

		if($where)
			$where2 = str_replace("parent=" . $data[parent], "parent > " . $data[parent], $where) . " and level=0";
		else
			$where2 = "where parent > " . $data[parent] . " and level = 0";

		// ڵ Select 
		$query = "select board.*, category.label as category_label, file.num as filenum, file.name as filename, file.size as filesize, file.hit as download, file.type as filetype, member.name as member_name, member.email as member_email, member.homepage as member_homepage, member.sign " . $query_state;

		$result = $connection->limitQuery($query . $where2 . " order by parent", 0 , 1);

		if(DB::isError($result))
		{
			alert($result->getMessage() . " on " . __FILE__ . " line " . __LINE__);
		}

		if($result->numRows() > 0)
		{
			$article[1] = $result->fetchRow(DB_FETCHMODE_ASSOC);
			$article[1][prev_next] = "prev";
		}

		if($where)
			$where2 = str_replace("parent=" . $data[parent], "parent < " . $data[parent], $where) . " and level=0";
		else
			$where2 = "where parent < " . $data[parent] . " and level=0";

		$result = $connection->limitQuery($query . $where2 . " order by parent desc", 0 , 1);

		if(DB::isError($result))
			alert($result->getMessage() . " on " . __FILE__ . " line " . __LINE__);

		if($result->numRows() > 0)
		{
			$article[0] = $result->fetchRow(DB_FETCHMODE_ASSOC);
			$article[0][prev_next] = "next";
		}

		if(count($article) < 1)
			return;

		$article = array_reverse($article);

		$time = time();

		$deny_keys = array("num", "body", "member_name", "member_email", "member_email");

		if($config[use_category] == "n")
			$deny_keys[] = "category";

		if($config[use_vote] == "n")
		{
			$deny_keys[] = "opposite";
			$deny_keys[] = "recommend";
		}


		foreach($article as $row)
		{
			// 鿩
			$en = "";
			$level_en = $row[depth];

			for($j=0;$j<$level_en;$j++)
			{
				$en .= " <img src=images/fake.gif width=8 height=11> ";
			}

			if($config[use_upload] == "y")
			{
				if(!PEAR::isError($tpl_list->setCurrentBlock("download")))
				{
					if(!$row[download])
						$row[download] = "";

					$tpl_list->setVariable("DOWNLOAD", $row[download]);
					$tpl_list->parseCurrentBlock();
				}

				if(!PEAR::isError($tpl_list->setCurrentBlock("attach_file")))
				{
					$tpl_list->setVariable("DOWNLOAD_LINK", LINK_NAME . "?module=download&id=" . $_GET[id] . "&num=" . $row[filenum]);
					$tpl_list->setVariable("FILE_SIZE", String::convertSize($row[filesize]));
					$tpl_list->setVariable("FILE_ICON", Parts::getIcon($row[filename]));
					$tpl_list->setVariable("FILE_NAME", $row[filename]);
					$tpl_list->setVariable("FILE_PATH", FILE_PATH . $_GET[id] . "/" . $row[num] . "/" . urlencode(urlencode($row[filename])));
					$tpl_list->parseCurrentBlock();
				}
			}

			//  ð Խù ۼ ð  ð(hour)  
			$gtime = ($time - $row[reg_date])/60/60;


			// Խù  ȣ
			$num = $total-$i-($page-1)*$config[list_per_page];

			$is_new = false;

			// ֱ  ǺϿ  
			if($gtime < $config[latest_standard])
			{
				$icon = "<img src=" . SKIN_PATH . "images/h_new.gif border=0 align=absmiddle>";
				$num = "<font class=numNew>" . $num . "</font>";
				$is_new = true;
			}
			else if($row[depth] != "0" && $gtime > $config[latest_standard])
			{
				$icon = "<img src=" . SKIN_PATH . "images/h_reply_old.gif border=0 align=absmiddle>";
				$num = "<font class=num>" . $num . "</font>";
			}
			else if($row[depth] != "0" && $gtime < $config[latest_standard])
			{
				$icon = "<img src=" . SKIN_PATH . "images/h_reply_new.gif border=0 align=absmiddle>";
				$num = "<font class=numNew>" . $num . "</font>";
				$is_new = true;
			}
			else
			{
				$icon = "<img src=" . SKIN_PATH . "images/h_old.gif border=0 align=absmiddle>";
				$num = "<font class=num>" . $num . "</font>";
			}


			//       & tr Ÿ  &  ȣ  ̹ 
			if($row[parent] < NOTICE_PARENT)
			{
				// 
				$icon = "<img src=" . SKIN_PATH . "images/h_notice.gif border=0 align=absmiddle>";
				// tr Ÿ
				$list_style = "listNotice";
				// ȣ
				$num = "<img src=" . SKIN_PATH . "images/notice.gif border=0>";
			}
			else
				$list_style = "list";


			// Խù ⿡ Ʈ    ִ Խù  class subjectSelected  , Here  
			if($row[num] == $selected_num)
			{
				$selected = "Selected";
				$icon = "<img src=" . SKIN_PATH . "images/here.gif border=0 align=absmiddle>";
			}
			else
				$selected = "";

			$i++;

			//  ڰ     member ̺ ̸ о
			if($row[members])
			{
				$row[name] = $row[member_name];
				$row[homepage] = $row[member_homepage];
			}

			if($config[subject_length] > 0)
				$row[subject] = String::cutString($row[subject], $config[subject_length]);

			if($config[body_length] > 0)
				$row[body] = String::cutString($row[body], $config[body_length]);

			// ׷  ± 
			if($my_grant < $grant[grant_full_html])
			{
				$row[subject] = String::removeTags($row[subject]);
				$row[homepage] = String::removeTags($row[homepage]);
				if($config[use_body_in_list] == "y" && $row[html])
					$row[body] = Security::avoidCrack($row[body]);
				$row[email] = String::removeTags($row[email]);
				$row[name] = String::removeTags($row[name]);
				$row[related_link] = String::removeTags($row[related_link]);
			}


			// ˻ Ű ̶Ʈ
			if(!strcmp($_GET[mode],"search"))
			{
				Search::doKeywordHighlight(&$row);
			}

			//   
			if((!$row[members] && $row[password]) || ($row[members] && ($session->get("email") == $row[email])) || ($has_session && ($my_grant >= $grant[grant_delete])))
			{
				$row[edit_link] = LINK_NAME . "?module=write&mode=edit&id=" . $_GET[id] . "&num=" . $_row[num] . "&page=" . $_GET[page] . "&search_mode=" . urlencode($search_mode);
				$row[delete_link] = LINK_NAME . "?module=write&mode=show_delete_form&id=" . $_GET[id] . "&num=" . $row[num] . "&page=" . $_GET[page] . "&search_mode=" . urlencode(urlencode($search_mode));

				$editable = true;
			}
			else
				$editable = false;

			//   
			if(String::isBlank($row[subject]))
				$row[subject] = $settings->messages[nosubject];

			// ũ  
			$row[subject_only] = $row[subject];
			
			// ũ 
			$row[link] = LINK_NAME . "?module=view&id=" . $_GET[id] . "&num=" . $row[num] . "&page=" . $page . $search_mode;

			// ۼ κ ó
			if($row[members])
				$row[name] = "<a href=javascript:void(0) onclick=\"viewMemberInfo('" . $row[email] . "');return false\"><font class=writerMember>" . $row[name] . "</font></a>";
			else if(!String::isBlank($row[email]))
				$row[name] = String::emailLink($row[name],$row[email]);
			else
				$row[name] = "<font class=name>".$row[name]."</font>";

			// Խù  ũ Ǵ 
			$row[subject] = $en.$icon." <a href=\"" . $row[link] . "\"><font class=subject" . $selected . ">" . $row[subject] . "</font></a>";

			// body κ ó
			if($config[use_body_in_list] == "y" )
			{
				if (!$row[html])
				{
					$row[body] = String::removeTags($row[body]);
					$row[body] = String::autoLink($row[body],true);
				}

				//   ü  ǹ ü
				$row[body] = str_replace("  ","&nbsp;&nbsp;",$row[body]);
				$row[body] = str_replace("\t","&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;",$row[body]);			

				if($row[html] < 2)
					$row[body] = nl2br($row[body]);

				$tpl_list->setVariable("BODY", $row[body]);
			}

			if(!$keys)
				$keys = array_diff(array_keys($row),$deny_keys);

			$row = $sql->getValidValues($row, $keys);
			
			// ġȯ
			foreach($row as $key => $val)
			{
				if($key == "comments" && $row[$key] == 0)
					continue;

				$tpl_list->setVariable("PREV_NEXT_" .strtoupper($key), $val);
			}

			$tpl_list->setVariable("PREV_NEXT_" ."NUM", $num);

			if($editable)
			{
				if(!PEAR::isError($tpl_list->setCurrentBlock("editable")))
				{
					$tpl_list->setVariable("PREV_NEXT_" ."EDIT_LINK", $edit_link);
					$tpl_list->setVariable("PREV_NEXT_" ."DELETE_LINK", $delete_link);
					$tpl_list->parseCurrentBlock();
				}
			}

			// ¥
			foreach($date_format as $key => $val)
			{
				$tpl_list->setVariable("PREV_NEXT_" . strtoupper($key), date($val, $row[reg_date]));
			}

			if($config[use_vote] == "y")
			{
				$tpl_list->touchBlock("prev_next_vote");
			}

			if($config[use_category] == "y")
			{
				if(!PEAR::isError($tpl_list->setCurrentBlock("category")))
				{
					$tpl_list->setVariable("PREV_NEXT_" ."CATEGORY", $row[category_label]);
					$tpl_list->parseCurrentBlock();
				}
			}

			if($row[comments] > 0)
			{
				if(!PEAR::isError($tpl_list->setCurrentBlock("comments")))
				{
					$tpl_list->setVariable("PREV_NEXT_" ."COMMENTS", $row[comments]);
					$tpl_list->parseCurrentBlock();
				}
			}

			// ټ ȸ
			if($config[cool_standard] > 0  && $row[hit] >= $config[cool_standard])
			{
				$tpl_list->touchBlock("cool");
			}

			// ֱ   NEW
			if($is_new)
			{
				$tpl_list->touchBlock("new");
			}

			$tpl_list->setVariable("PREV_NEXT_MSG", $settings->messages[$row[prev_next]]);

			if(!PEAR::isError($tpl_list->setCurrentBlock("prev_next")))
			{
				if(!PEAR::isError($tpl_list->setCurrentBlock("article")))
				{
					$tpl_list->parseCurrentBlock();
				}
				$tpl_list->parseCurrentBlock();
			}
		}
	}
?>